# HG changeset patch
# User Sahil Badyal <sbadyals@gmail.com>
# Date 1424969154 -19800
#      Thu Feb 26 22:15:54 2015 +0530
# Node ID 6065bd58db2be0a849d9bcec621dccf64ac6fdd1
# Parent  30eefd9ddb48071b40271262d16a4f926fae42e6
use contribute/donate consistently in GUI (bug #44335)

* main-window.h, main-window.cc (main_window::open_contribute_page):
Link to contribute.html instead of donate.html
(main_window::open_donate_page): New function.

diff -r 30eefd9ddb48 -r 6065bd58db2b libgui/src/main-window.cc
--- a/libgui/src/main-window.cc	Fri Aug 05 22:04:12 2016 +0100
+++ b/libgui/src/main-window.cc	Thu Feb 26 22:15:54 2015 +0530
@@ -636,16 +636,16 @@
 void
 main_window::open_contribute_page (void)
 {
+  QDesktopServices::openUrl (QUrl ("http://octave.org/contribute.html"));
+}
+
+void
+main_window::open_donate_page (void)
+{
   QDesktopServices::openUrl (QUrl ("http://octave.org/donate.html"));
 }
 
 void
-main_window::open_developer_page (void)
-{
-  QDesktopServices::openUrl (QUrl ("http://octave.org/get-involved.html"));
-}
-
-void
 main_window::process_settings_dialog_request (const QString& desired_tab)
 {
   if (_settings_dlg)  // _settings_dlg is a guarded pointer!
@@ -1995,10 +1995,10 @@
             tr ("Share Code"), SLOT (open_agora_page ()));
 
   _contribute_action = add_action (help_menu, QIcon (),
-            tr ("Contribute to Octave"), SLOT (open_contribute_page ()));
+            tr ("Contribute"), SLOT (open_contribute_page ()));
 
   _developer_action = add_action (help_menu, QIcon (),
-            tr ("Octave Developer Resources"), SLOT (open_developer_page ()));
+            tr ("Donate to Octave"), SLOT (open_donate_page ()));
 
   help_menu->addSeparator ();
 
diff -r 30eefd9ddb48 -r 6065bd58db2b libgui/src/main-window.h
--- a/libgui/src/main-window.h	Fri Aug 05 22:04:12 2016 +0100
+++ b/libgui/src/main-window.h	Thu Feb 26 22:15:54 2015 +0530
@@ -133,7 +133,7 @@
   void open_octave_packages_page (void);
   void open_agora_page (void);
   void open_contribute_page (void);
-  void open_developer_page (void);
+  void open_donate_page (void);
   void process_settings_dialog_request (const QString& desired_tab
                                                          = QString ());
 
